New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Request additional results for a Deep Search task.
curl --request POST \
--url https://api.extruct.ai/v1/discovery_tasks/{task_id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"desired_new_results": 25
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "created",
"query": "<string>",
"desired_num_results": 123,
"is_exhausted": false,
"num_results_discovered": 0,
"num_results_enriched": 0,
"num_results_evaluated": 0,
"num_results": 0,
"table_id": "<string>",
"auto_data_sources": true,
"data_sources": [
"web_search"
],
"criteria": [
{
"key": "<string>",
"name": "<string>",
"criterion": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
400 Bad Request.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TASK_ID="YOUR_TASK_ID"
curl -X POST "https://api.extruct.ai/v1/discovery_tasks/${TASK_ID}/resume" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}" \
-d '{"desired_new_results": 25}'
task_id (required): Task identifier.desired_new_results (optional): additional result count; default 25, min 0, max 250.is_exhausted=true, this request returns 400 Bad Request. That means the task has no more additional candidates to return.
401 UnauthorizedAuthorization: Bearer ${EXTRUCT_API_TOKEN}.
404 Not Found422 Unprocessable Entitydesired_new_results outside 0..250.
400 Bad RequestBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Additional results requested for an existing task. Limited by the 250-result task cap.
0 <= x <= 250Successful Response
created, in_progress, done, failed Total number of company candidates discovered from search
Number of candidates enriched with company profiles
Number of candidates that had criteria evaluation completed
Total number of results
web_search, linkedin, maps Show child attributes
curl --request POST \
--url https://api.extruct.ai/v1/discovery_tasks/{task_id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"desired_new_results": 25
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "created",
"query": "<string>",
"desired_num_results": 123,
"is_exhausted": false,
"num_results_discovered": 0,
"num_results_enriched": 0,
"num_results_evaluated": 0,
"num_results": 0,
"table_id": "<string>",
"auto_data_sources": true,
"data_sources": [
"web_search"
],
"criteria": [
{
"key": "<string>",
"name": "<string>",
"criterion": "<string>"
}
]
}